#include <sourcemod>

new Handle:g_SQL = INVALID_HANDLE, bool:MYSQL;

public OnPluginStart()
{
	if (!SQL_CheckConfig("MySection"))
	{
		SetFailState("Секция \"MySection\" не найдена в databases.cfg");
		return;
	}

	decl String:error[256];
	g_SQL = SQL_Connect("MySection", true, error, 256);
	if (g_SQL == INVALID_HANDLE)
	{
		LogError(error);
		SetFailState("Не удалось установить SQL соединение");
		return;
	}

	// тип соединения (mysql или sqlite)
	new String:driver[15]; SQL_ReadDriver(g_SQL, driver, 15);
	MYSQL = StrEqual(driver, "mysql", false);
	LogMessage("Установлено %s соединение", MYSQL ? "MYSQL" : "SQLite");

	// создаем таблицу
	if (!MYSQL)
	{
		SQL_TQuery(g_SQL, SQL_DefCallback, "CREATE TABLE IF NOT EXISTS `my_tab` (\
			steamid TEXT PRIMARY KEY, \
			points NUMERIC, \
			nick TEXT)", 0);
	}
	else
	{
		SQL_TQuery(g_SQL, SQL_DefCallback, "CREATE TABLE IF NOT EXISTS `my_tab` (\
			`steamid` varchar(25) NOT NULL, \
			`points` int(20) NOT NULL, \
			`nick` varchar(32) NOT NULL, \
			PRIMARY KEY (`steamid`))", 0);
	}
}

public SQL_DefCallback(Handle:owner, Handle:hndl, const String:error[], any:data)
{
	if (hndl == INVALID_HANDLE) LogError(error);
}

// World-Source.Ru